parameters:

    choixformat:
        'DCP': 'DCP'
        '35mm': '35mm'
        '16mm': '16mm'
        '8mm': '8mm'
        'Super 8': 'Super 8'
        'Numérique': 'Numérique'

    choixgenre:
        'Animation': 'Animation'
        'Captation': 'Captation'
        'Documentaire': 'Documentaire'
        'Experimental': 'Experimental'
        'Fiction': 'Fiction'


    choixevenementcategorie:
        'Projection': 'Projection'
        'Conférence': 'Conférence'
        'Festival': 'Festival'
        'Atelier': 'Atelier'
        'Débat': 'Débat'
        'Carte blanche': 'Carte blanche'
        'Ciné-club': 'Ciné-club'
        'Evénement': 'Evénement'
        'Jeune public': 'Jeune public'


    choixclassification:
        'À partir de 10 ans': 'À partir de 10 ans'
        'À partir de 11 ans': 'À partir de 11 ans'
        'À partir de 3 ans': 'À partir de 3 ans'
        'À partir de 4 ans': 'À partir de 4 ans'
        'À partir de 5 ans': 'À partir de 5 ans'
        'À partir de 6 ans': 'À partir de 6 ans'
        'À partir de 7 ans': 'À partir de 7 ans'
        'À partir de 8 ans': 'À partir de 8 ans'
        'À partir de 9 ans': 'À partir de 9 ans'
        'Classement X (incitation à la violence)': 'Classement X (incitation à la violence)'
        'Classement X (pornographique)': 'Classement X (pornographique)'
        'Interdiction totale': 'Interdiction totale'
        'Interdit aux moins de 12 ans': 'Interdit aux moins de 12 ans'
        'Interdit aux moins de 12 ans avec avertissement': 'Interdit aux moins de 12 ans avec avertissement'
        'Interdit aux moins de 16 ans': 'Interdit aux moins de 16 ans'
        'Interdit aux moins de 16 ans avec avertissement': 'Interdit aux moins de 16 ans avec avertissement'
        'Interdit aux moins de 18 ans': 'Interdit aux moins de 18 ans'
        'Interdit aux moins de 18 ans avec avertissement': 'Interdit aux moins de 18 ans avec avertissement'
        'Tous publics': 'Tous publics'
        'Tous publics avec avertissement': 'Tous publics avec avertissement'

#    choixcatvideo:
#        'Master class': 'Master class'
#        'Conférence': 'Conférence'
#        'Ciné club Jean DOUCHET': 'Ciné club Jean DOUCHET'
#        'Bandes annonces et teaser': 'Bandes annonces et teaser'
#        'Films amateurs': 'Films amateurs'

easy_admin:

    site_name: 'Cinématheque de Nice'
    formats:
        date:     'd/m/Y'
        time:     'H:i'
        datetime: 'd/m/Y H:i'
    disabled_actions: ['show']

    entities:

        Cycle:
            class: App\Entity\Cycle
            label: 'Cycles'

            list:
                fields:
                    - { property: nom, label: 'Nom' }
                    - { property: 'imageName', label: 'Illustration', type: 'image', base_path: '%app.path.cycle_image%' }
                    - { property: 'couleur', label: 'Couleur', template: 'admin/cycle/couleur_dans_listing.html.twig' }
                    
            form:
                title: "Modification/édition"
                fields:
                    - { property: nom, label: 'Nom', css_class: 'input-large' }
                    - { property: 'couleur', label: 'Couleur', type: 'color' }
                    - { property: 'description', type: 'text_editor', label: 'Description' }
                    - { property: 'imageFile', type: 'vich_image', label: 'Illustration' }

        Realisateur:
            class: App\Entity\Realisateur
            label: 'Réalisateurs'

            list:
                fields:
                    - { property: nom, label: 'Nom' }
                    
            form:
                title: "Modification/édition"
                fields:
                    - { property: nom, label: 'Nom', css_class: 'input-large' }

        ProgrammePdf:
            class: App\Entity\ProgrammePdf
            label: 'Programme en PDF'

            list:
                fields:
                    - { property: 'mois', label: 'Mois', format: 'm/Y' }
                    - { property: 'pdf', template: 'admin/programme/pdf.html.twig', base_path: '%app.path.programme_pdf%' }


            form:
                title: "Modification/édition"
                fields:
                    - { property: 'pdfFile', type: 'vich_file', label: 'Fichier PDF' }
                    - { property: 'mois', label: 'Pour le mois de', help: 'Renseigner SEULEMENT MOIS et ANNEE' }

        Evenement:
            class: App\Entity\Evenement
            controller: App\Controller\Admin\EvenementController
            label: 'Evenements'

            list:
                actions:
                    - { name: 'mettrealaune', icon: 'home', label: 'Mettre à la une' }
                fields:
                    - { property: 'titre', label: 'Titre', template: 'admin/evenement/titre_dans_listing.html.twig' }
                    - { property: 'alaune', label: 'à la une ?', type: 'boolean' }
                    - { property: 'horaire', label: 'Date et heure', format: 'd/m/Y à H:i' }
                    - { property: cycle, label: 'Cycle', template: 'admin/evenement/cycle_dans_listing.html.twig' }
                    - { property: 'imageName', label: 'Affiche', type: 'image', base_path: '%app.path.evenement_image%' }
                    - { property: 'updatedAt', label: 'Dernière MàJ', format: 'd/m à H:i' }

            form:
                title: "Modification/édition"
                fields:
                    - { property: titre, label: 'Titre', css_class: 'input-large' }
                    - { property: 'cycle', label: 'Cycle' }
                    - { property: 'imageFile', type: 'vich_image', label: 'Illustration' }
                    - { property: 'description', type: 'text_editor', label: 'Description' }
                    - { property: 'categorie', label: 'Catégorie', type: 'choice', type_options: { expanded: false, choices: '%choixevenementcategorie%' } }
                    - { property: 'horaire', label: 'Date et heure' }

        Video:
            class: App\Entity\Video
            label: 'Vidéos'
            
            list:
                fields:
                    - { property: titre, label: 'Titre' }
                    - { property: 'imageName', label: 'Affiche', type: 'image', base_path: '%app.path.video_image%' }
                    - { property: 'updatedAt', label: 'Dernière MàJ', format: 'd/m à H:i' }
            form:
                title: "Modification/édition"
                fields:
                    - { property: titre, label: 'Titre', css_class: 'input-large' }
                    - { property: 'description', type: 'text_editor', label: 'Description' }
                    - { property: 'imageFile', type: 'vich_image', label: 'Illustration', help: 'L''image doit faire plus de 350px de large et plus de 200px de haut.' }
                    - { property: 'categorie', label: 'Catégorie', type: 'entity', type_options: { class: 'App\Entity\VideoCategorie', multiple: false } }
                    - { property: video, label: 'Lien', type: 'url', help: 'Copier coller un lien YouTube.' }

        VideoCategorie:
            class: App\Entity\VideoCategorie
            label: 'Catégorie Vidéo'

            list:
                fields:
                    - { property: nom, label: 'Nom' }

            form:
                title: "Modification/édition"
                fields:
                    - { property: nom, label: 'Nom', css_class: 'input-large' }
                    - { property: 'description', type: 'text_editor', label: 'Description' }

        Film:
            class: App\Entity\Film
            controller: App\Controller\Admin\FilmController
            label: 'Films'
            
            list:
                actions:
                    - { name: 'showinfront', icon: 'eye', label: 'Voir dans le site', target: "_blank" }
                fields:
                    - { property: titre, label: 'Titre', template: 'admin/film/titre_dans_listing.html.twig' }
                    - { property: cycleprincipal, label: 'Cycle principal', template: 'admin/film/cycleprincipal_dans_listing.html.twig' }
                    - { property: cycles, label: 'Cycle(s) secondaire' }
                    - { property: seances, label: 'Séance(s)' }
                    - { property: annee, label: 'Année', type: 'text' }
                    - { property: 'imageName', label: 'Affiche', type: 'image', base_path: '%app.path.films_image%' }
                    - { property: 'updatedAt', label: 'Dernière MàJ', format: 'd/m à H:i' }
                    
            # search:
            #     fields: ['titre', 'cycles.nom']
                    
                    
            form:
                title: "Modification/édition"
                fields:
                
                    - { type: 'tab' , label: 'Informations principales', icon: 'film' }

                    - { type: 'section', label: 'Titre' }
                    - { property: titre, label: 'Titre', css_class: 'input-large' }
                    - { property: titrevo, label: 'Titre (V.O.)', help: 'Si existant' }

                    - { type: 'section', label: 'Divers' }
                    - { property: 'realisateurs', label: 'Réalisateur(s)', type: 'entity', type_options: { class: 'App\Entity\Realisateur', multiple: true, by_reference: false  } }
                    - { property: 'casting', label: 'Casting' }
                    - { property: 'cycleprincipal', label: 'Cycle principal' } # , type: 'easyadmin_autocomplete'
                    - { property: 'cycles', label: 'Cycle(s) secondaire', type: 'entity', type_options: { class: 'App\Entity\Cycle', multiple: true, by_reference: false  } }
                    - { property: 'imageFile', type: 'vich_image', label: 'Illustration' }
                    - { property: 'description', type: 'text_editor', label: 'Synopsis' }

                    - { type: 'tab' , label: 'Séances', icon: 'calendar' }
                    - { property: 'seances', label: 'Séance(s)', type: 'collection', type_options: { entry_type: 'App\Form\SeanceType', by_reference: false }}
                    
                    - { type: 'tab' , label: 'Détails', icon: 'info-circle' }

                    - { property: payscoprod, label: 'Pays', type: 'country', help: 'Maintenir la touche Ctrl appuyée pour séléctionner plusieurs pays' , type_options: { multiple: true, expanded: false} }
                    - { property: annee, label: 'Année', type: 'number' }
                    - { property: duree, label: 'Durée' }
                    - { property: tarif, label: 'Tarif', help: 'Laisser VIDE pour afficher -Tarif habituel- dans la fiche du film.' }
                    - { property: 'leformat', label: 'Format', type: 'choice', type_options: { expanded: false, choices: '%choixformat%' }}
                    - { property: 'genre', label: 'Genre', type: 'choice', type_options: { expanded: false, choices: '%choixgenre%' }}
                    - { property: 'classification', label: 'Classification', type: 'choice', type_options: { expanded: false, choices: '%choixclassification%' }}

                    - { type: 'section', label: 'Vidéo associée (Bande annonce, extrait, ...)' }
                    - { property: video, label: 'Lien', type: 'url', help: 'Copier coller un lien youtube, viméo, etc ...' }
                    
                    
    design: # Pour les optiosn possibles cf. https://github.com/javiereguiluz/EasyAdminBundle/blob/master/Resources/doc/book/2-design-configuration.md
#        form_theme:
#            - '@EasyAdmin/form/bootstrap_4.html.twig'
#            - '@VichUploader/Form/fields.html.twig'
        brand_color: '#e5007e'
        #color_scheme: 'light'
        menu:
            - { entity: 'Film', label: 'Films', icon: 'film', default: true, params: { sortField: 'updatedAt', sortDirection: 'DESC' } }
            - { entity: 'Evenement', label: 'Evenements', icon: 'calendar', params: { sortField: 'updatedAt', sortDirection: 'DESC' } }
            - { entity: 'Cycle', label: 'Cycles', icon: 'recycle ' }
            - { entity: 'Realisateur', label: 'Réalisateurs', icon: 'user', params: { sortField: 'nom', sortDirection: 'ASC' } }
            - { entity: 'ProgrammePdf', label: 'Programme en PDF', icon: 'file', params: { sortField: 'mois', sortDirection: 'DESC' } }
            - { entity: 'Video', label: 'Vidéos', icon: 'film', default: true, params: { sortField: 'updatedAt', sortDirection: 'DESC' } }
            - { entity: 'VideoCategorie', label: 'Catégories Vidéos', icon: 'tag', default: true, params: { sortField: 'updatedAt', sortDirection: 'DESC' } }